Webhook Monitoring

The Webhook Monitoring system provides endpoints to track and monitor Webhook events for both items and requests

It allows you to view webhook history, check their status, and monitor the health of your webhook system. The system supports filtering by date range, status, and pagination for efficient data retrieval.

The Webhook status values indicate whether a Webhook notification was successfully delivered to your endpoint:

  • success: Webhook was successfully delivered to your endpoint and received a valid response. This means your system received and processed the Webhook notification as expected.

  • failed: Webhook delivery attempt was unsuccessful. This could happen for several reasons:

    • Your endpoint was unreachable.

    • Your endpoint returned an error response.

    • There was a network issue during delivery.

    • Your endpoint timed out.

    • Any other delivery failure.

Get Webhook Configuration

GET https://{environment}.faundit.com/api/v2/webhooks/config

Retrieves the webhook configuration settings.

Response

{
    webhooks: {
        itemStatus: true,
        requestStatus: false
    },
    endpoints: {
        itemStatus: "http://example.com/item/webhook",
        requestStatus: null
    }
}

Get Webhook Health

GET https://{environment}.faundit.com/api/v2/webhooks/health

Retrieves the health status of webhooks for all active locations associated with the extender.

Response

Get Item Webhooks

GET https://{environment}.faundit.com/api/v2/webhooks/items

Retrieves webhook events related to Items with filtering and pagination capabilities.

Query Parameters

Name
Type
Description

status

string

Filter by webhook status ('failed' or 'success').

startDate

string

Start date in format 'YYYY-MM-DDTHH:MM:SSZ' or 'YYYY-MM-DDTHH:MM:SS'. Example: "2021-11-29T12:57:25.021Z"

Example: "2021-11-29T12:57:25"

endDate

string

End date in format 'YYYY-MM-DDTHH:MM:SSZ' or 'YYYY-MM-DDTHH:MM:SS'. Example: "2021-11-29T12:57:25.021Z"

Example: "2021-11-29T12:57:25"

page

number

Page number for pagination. Defaults to 1.

limit

number

Number of items per page. Defaults to 50.

Get Request Webhooks

GET https://{environment}.faundit.com/api/v2/webhooks/requests

Retrieves webhook events related to Requests with filtering and pagination capabilities.

Query Parameters

Name
Type
Description

status

string

Filter by webhook status ('failed' or 'success').

startDate

string

Start date in format 'YYYY-MM-DDTHH:MM:SSZ' or 'YYYY-MM-DDTHH:MM:SS'. Example: "2021-11-29T12:57:25.021Z"

Example: "2021-11-29T12:57:25"

endDate

string

End date in format 'YYYY-MM-DDTHH:MM:SSZ' or 'YYYY-MM-DDTHH:MM:SS'. Example: "2021-11-29T12:57:25.021Z"

Example: "2021-11-29T12:57:25"

page

number

Page number for pagination. Defaults to 1.

limit

number

Number of items per page. Defaults to 50.

Get Location Item Webhooks

GET https://{environment}.faundit.com/api/v2/webhooks/location/:locationID/items

Retrieves webhook events for Items from a specific Location.

Path Parameters

Name
Type
Description

locationID*

string

The ID of the Location.

Query Parameters

Name
Type
Description

status

string

Filter by webhook status ('failed' or 'success').

startDate

string

Start date in format 'YYYY-MM-DDTHH:MM:SSZ' or 'YYYY-MM-DDTHH:MM:SS'. Example: "2021-11-29T12:57:25.021Z"

Example: "2021-11-29T12:57:25"

endDate

string

End date in format 'YYYY-MM-DDTHH:MM:SSZ' or 'YYYY-MM-DDTHH:MM:SS'. Example: "2021-11-29T12:57:25.021Z"

Example: "2021-11-29T12:57:25"

page

number

Page number for pagination. Defaults to 1.

limit

number

Number of items per page. Defaults to 50.

Get Location Request Webhooks

GET https://{environment}.faundit.com/api/v2/webhooks/location/:locationID/requests

Retrieves webhook events for Requests from a specific Location.

Path Parameters

Name
Type
Description

locationID*

string

The ID of the Location.

Query Parameters

Name
Type
Description

status

string

Filter by webhook status ('failed' or 'success').

startDate

string

Start date in format 'YYYY-MM-DDTHH:MM:SSZ' or 'YYYY-MM-DDTHH:MM:SS'. Example: "2021-11-29T12:57:25.021Z"

Example: "2021-11-29T12:57:25"

endDate

string

End date in format 'YYYY-MM-DDTHH:MM:SSZ' or 'YYYY-MM-DDTHH:MM:SS'. Example: "2021-11-29T12:57:25.021Z"

Example: "2021-11-29T12:57:25"

page

number

Page number for pagination. Defaults to 1.

limit

number

Number of items per page. Defaults to 50.

Last updated